
# Class: OrigamiViewerParams

## Hierarchy

* **OrigamiViewerParams**

## Index

### Constructors

* [constructor](origamiviewerparams.md#constructor)

### Properties

* [aspectRatio](origamiviewerparams.md#aspectratio)
* [axesHelperEnabled](origamiviewerparams.md#axeshelperenabled)
* [backgroundColor](origamiviewerparams.md#backgroundcolor)
* [camera](origamiviewerparams.md#camera)
* [container](origamiviewerparams.md#container)
* [distance](origamiviewerparams.md#distance)
* [elements](origamiviewerparams.md#elements)
* [fullSceneLoad](origamiviewerparams.md#fullsceneload)
* [items](origamiviewerparams.md#items)
* [modelType](origamiviewerparams.md#modeltype)
* [onLoadCallback](origamiviewerparams.md#onloadcallback)
* [orbitsControl](origamiviewerparams.md#orbitscontrol)
* [orbitsControlEnabled](origamiviewerparams.md#orbitscontrolenabled)
* [pauseAtEnd](origamiviewerparams.md#pauseatend)
* [preloader](origamiviewerparams.md#preloader)

## Constructors

###  constructor

\+ **new OrigamiViewerParams**(`container`: HTMLElement, `params`: [I3DViewerParams](../interfaces/i3dviewerparams.md), `onLoadCallback?`: function): *[OrigamiViewerParams](origamiviewerparams.md)*

**Parameters:**

▪ **container**: *HTMLElement*

▪ **params**: *[I3DViewerParams](../interfaces/i3dviewerparams.md)*

▪`Optional`  **onLoadCallback**: *function*

▸ (): *void*

**Returns:** *[OrigamiViewerParams](origamiviewerparams.md)*

## Properties

###  aspectRatio

• **aspectRatio**: *string*

___

###  axesHelperEnabled

• **axesHelperEnabled**: *boolean* = false

___

###  backgroundColor

• **backgroundColor**: *string*

___

###  camera

• **camera**: *Partial‹object›*

camera settings
camera settings

___

###  container

• **container**: *HTMLElement*

___

###  distance

• **distance**: *number*

___

###  elements

• **elements**: *any[]*

___

###  fullSceneLoad

• **fullSceneLoad**: *boolean*

___

###  items

• **items**: *I3DItem[]*

___

###  modelType

• **modelType**: *ModelType*

___

###  onLoadCallback

• **onLoadCallback**: *function*

#### Type declaration:

▸ (): *void*

___

###  orbitsControl

• **orbitsControl**: *object*

#### Type declaration:

* \[ **key**: *string*\]: string | number | boolean

___

###  orbitsControlEnabled

• **orbitsControlEnabled**: *boolean* = true

___

###  pauseAtEnd

• **pauseAtEnd**: *boolean*

___

###  preloader

• **preloader**: *boolean* = true
